TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Modexp ( elt-alg^pol f, elt-ord^rat n, elt-alg^pol m ) -> elt-alg^pol

### Description

<shortdoc> The modular power (f^n) mod m [n >= 0, Degree(m) >= 0]. </shortdoc>

### Examples

x_polyAlg := PolynomialAlgebra(Q); x_X := x_polyAlg.1; Modexp(x_X^2 - 2, 5, x_X^2 - 3);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack